org.eclipse.handly.model.impl

## Class WorkingCopyCallback

- java.lang.Object
- - org.eclipse.handly.model.impl.WorkingCopyCallback

- All Implemented Interfaces:
    IWorkingCopyCallback
  Direct Known Subclasses:
    DefaultWorkingCopyCallback, XtextWorkingCopyCallback

      public abstract class WorkingCopyCallback
      extends java.lang.Object
      implements IWorkingCopyCallback

  A partial implementation of `IWorkingCopyCallback`, which clients may opt to extend instead of implementing the interface directly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkingCopyCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IWorkingCopyInfo` | `getWorkingCopyInfo()` Returns the working copy info `set` for this callback.
    `void` | `onDispose()` Informs this callback that the working copy has been disposed.
    `void` | `onInit(IWorkingCopyInfo info)` Informs this callback about the working copy it will work on.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.IWorkingCopyCallback

      `needsReconciling, reconcile`

- - ### Constructor Detail

    - #### WorkingCopyCallback

          public WorkingCopyCallback()

  - ### Method Detail

    - #### onInit

          public void onInit(IWorkingCopyInfo info)
                      throws org.eclipse.core.runtime.CoreException

      Informs this callback about the working copy it will work on. This method is called before any other method and marks the start of the callback's lifecycle.

      Clients should not call this method (the model implementation calls it at appropriate times).

      Subclasses may override this method, but must make sure to call the super implementation.

      Specified by:
        `onInit` in interface `IWorkingCopyCallback`
      Parameters:
        `info` - the working copy info (never `null`)
      Throws:
        `org.eclipse.core.runtime.CoreException` - if this callback was not initialized successfully

    - #### onDispose

          public void onDispose()

      Informs this callback that the working copy has been disposed. This is the last method called on the callback and marks the end of the callback's lifecycle.

      Clients should not call this method (the model implementation calls it at appropriate times).

      Subclasses may override this method, but must make sure to call the super implementation.

      Specified by:
        `onDispose` in interface `IWorkingCopyCallback`

    - #### getWorkingCopyInfo

          protected final IWorkingCopyInfo getWorkingCopyInfo()

      Returns the working copy info `set` for this callback.
      Returns:
        the working copy info

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0